LibOFX: gengetopt_args_info Struct Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
gengetopt_args_info Struct Reference

Where the command line options are stored. More...

## Data Fields
const char * | help_help
| Print help and exit help description.
const char * | version_help
| Print version and exit help description.
char * | import_format_arg
| Force the file format of the file(s) specified (default='AUTODETECT').
char * | import_format_orig
| Force the file format of the file(s) specified original value given at command line.
const char * | import_format_help
| Force the file format of the file(s) specified help description.
const char * | list_import_formats_help
| List available import file formats 'import-format' command help description.
int | msg_parser_flag
| Output file parsing messages (default=off).
const char * | msg_parser_help
| Output file parsing messages help description.
int | msg_debug_flag
| Output messages meant for debuging (default=off).
const char * | msg_debug_help
| Output messages meant for debuging help description.
int | msg_warning_flag
| Output warning messages about abnormal conditions and unknown constructs (default=on).
const char * | msg_warning_help
| Output warning messages about abnormal conditions and unknown constructs help description.
int | msg_error_flag
| Output error messages (default=on).
const char * | msg_error_help
| Output error messages help description.
int | msg_info_flag
| Output informational messages about the progress of the library (default=on).
const char * | msg_info_help
| Output informational messages about the progress of the library help description.
int | msg_status_flag
| Output status messages (default=on).
const char * | msg_status_help
| Output status messages help description.
unsigned int | help_given
| Whether help was given.
unsigned int | version_given
| Whether version was given.
unsigned int | import_format_given
| Whether import-format was given.
unsigned int | list_import_formats_given
| Whether list-import-formats was given.
unsigned int | msg_parser_given
| Whether msg_parser was given.
unsigned int | msg_debug_given
| Whether msg_debug was given.
unsigned int | msg_warning_given
| Whether msg_warning was given.
unsigned int | msg_error_given
| Whether msg_error was given.
unsigned int | msg_info_given
| Whether msg_info was given.
unsigned int | msg_status_given
| Whether msg_status was given.
char ** | inputs
| unamed options (options without names)
unsigned | inputs_num
| unamed options number

## Detailed Description

Where the command line options are stored.

Definition at line 42 of file cmdline.h.

The documentation for this struct was generated from the following file:

- cmdline.h